mplayer plug-in
Video
Score 80%
Description:

This is a plug-in to view embedded movies with your favorite browser, you also need the mplayer; you can download it from www.mplayerhq.hu

So, Who need Windows?
Last changelog:

12 years ago

this is the version 2.80

it works in based netscape/mozilla browsers

and support:
Window Media wmv, avi, asf, wav and asx
QuickTime mov and smil
MPEG Video and Audio mpeg and mp3
Ogg Vorbis ogg
AutoDesk FLI fli and flc
Vivo vivo
Real Player ram and rm

---------ChangeLog------------

- Multiprotocol playlists now work properly (Netflix)
- Configuration Dialog off right click menu
- Crash fix when src element returns a 404
- Google Video support with Firefox
- Several crash fixes
- NLS support for French,Italian,Brazilian Portugese,Slovak,Russian,Danish, Spanish & Korean
- Additional options (nomouseinput and noconsolecontols) to help with minimal mplayer builds
-------------------------

if you are using firefox you need to do this

cp /usr/lib/mozilla/plugins/*.* ~/.mozilla/plugins/

warbinger

12 years ago

I only have one small feature request, a volume control. That would complete this package in my opinion and make it more compareable to windows media plugin, etc.

Report

irvingrafael

12 years ago

Ok, but you can use mplayer commands like / or * (dont worry, meaby in the next version).

Report

stefbon

12 years ago

I'm very happy with this. I do not have to install realplayer to playback files on the Internet.
And to watch Quicktime format, and WindowsMediaPLayer format.
Wow.
Stef Bon

Report

plamkata

12 years ago

I use Konqueror and try to install the plugin on it but it didn't work. It would be nice if the plugin can work with Konqueror.

Report

plamkata

12 years ago

I noticed that this topic has been discused already but the solution doesn't work for me. I install mplayerplug-in.so in /usr/lib/mozilla/plugins and mplayerplug-in.xpt in /usr/lib/mozilla/components. Then I choose Konqueror->Settings->Configure->Plugins and press to scan for new plugins in the selected directories. But unfortunatelly it does't work. Any ideas?

P.S. The plugin is working perfect on Mozilla.

Report

yazid

11 years ago

mplayer plug-in definitely can work with konqueror except it can't run in embedded view as what mozilla does. Just make sure your /usr/lib/mozilla/plugins at the top in the settings and apply. Check your File Associations and choose the video format ie mpg, avi, wma or others to be play with your mplayer.

Report

irvingrafael

12 years ago

Well, actualy the plug-in have some problems with konqueror and the painting (some videos of apple.com), but if you relly need to use it on konqueror, download another version or download kmplayer.

Report

EmptyDoor

12 years ago

If a webpage using frames, one for continuous background music and one for content, is refreshed (the main document, not an individual frame), the plug-in causes Mozilla Firefox to crash, but the same does not happen in Mozilla. I have tried this with http://www.thehandofagony.com/; select any language but 'English' to get music.

Keep up the good work. :)

Report

EmptyDoor

12 years ago

When playing a file, the plug-in often stops playback. If the object is set to repeated playback, the plugi-in plays the file from the beginning, this time stopping later in the file, or not at all. This even applies when visiting a webserver on the local machine.

Report

irvingrafael

12 years ago

Well, meaby is because the buffering don't get the 100%, I suggest you stop the movie when mplayer start and wait the 100% of the buffering

Report

EmptyDoor

12 years ago

Most probably, but it would be better if the plug-in then waited for more data to download, instead of just stopping.

Report

irvingrafael

12 years ago

thanks for the links but it was rude post it so many times, now you can use the Suse link again.

Report

BruceCadieux

12 years ago

It was unintentional, I wasn't seeing my post show up, so I tried again a couple times only when the third finally showed up, did I realize that I had posted three times. Sorry about that.

Report

BruceCadieux

12 years ago

http://itsyourpc.org/software/mplayerplug-in-2.80-0.i586.rpm

Report

BruceCadieux

12 years ago

http://itsyourpc.org/software/mplayerplug-in-2.80-0.i586.rpm

Report

BruceCadieux

12 years ago

http://itsyourpc.org/software/mplayerplug-in-2.80-0.i586.rpm

Report

BruceCadieux

12 years ago

http://itsyourpc.org/software/mplayerplug-in-2.80-0.i586.rpm

Report

BruceCadieux

12 years ago

http://itsyourpc.org/software/mplayerplug-in-2.80-0.i586.rpm

Report

irvingrafael

12 years ago

sorry but in this moment the link to the official package of suse isnt there any more, if you find a suse package or a tar.gz of this software please post it

Report

irvingrafael

12 years ago

if you have this problem with the debian package you only need to type this command as root:

apt-get -f install

if you have any problem (excluding the auto upgrade and problems with old broken packages) post it.

Report

FXartist

12 years ago

Is there anyway to get this plug-in to work with Konqueror? I currently use Firefox but if Konqueror is used then the only option is to use an MPlayer frontend like KMPlayer or KPlayer.

Report

irvingrafael

12 years ago

it current support konqueror but if this version dont work you can try with a old one, I suggest this link:

http://sourceforge.net/project/showfiles.php?group_id=71239

it have all the versions of this project.

if this don't work post the stack trace that report KDE, you can also use this command in a X terminal:
strace konqueror

I need to know the problem to help you :-)

Report

FXartist

12 years ago

Issue resolved. What I had to add in "Tools/Configure Konqueror/Plugins" was the link "/opt/MozillaFirefox/lib/plugins". Just selecting "scan for new plugins" in Konqueror does not allow the browser to link to the "mplayerplugin.so" file.

Report

nkosi

12 years ago

I use Slackware 10.1, KDE and Firefox and it works great. Finally something to keep me from booting into Windows.

Wanted to know when will you have controls for fwd,rev,stp, pause and play. Also we need a progress bar.

Great work and thank you very much.

Report

dirtbag666

12 years ago

I have problems with depencies, when I try to use the Debian package from the link above, so I used version 2.80 from this repository:

deb http://www.linex.org/sources/linex/debian sarge linex
deb http://www.linex.org/sources/linex/debian woody linex

Report

12 years ago

this is the version 2.80

it works in based netscape/mozilla browsers

and support:
Window Media wmv, avi, asf, wav and asx
QuickTime mov and smil
MPEG Video and Audio mpeg and mp3
Ogg Vorbis ogg
AutoDesk FLI fli and flc
Vivo vivo
Real Player ram and rm

---------ChangeLog------------

- Multiprotocol playlists now work properly (Netflix)
- Configuration Dialog off right click menu
- Crash fix when src element returns a 404
- Google Video support with Firefox
- Several crash fixes
- NLS support for French,Italian,Brazilian Portugese,Slovak,Russian,Danish, Spanish & Korean
- Additional options (nomouseinput and noconsolecontols) to help with minimal mplayer builds
-------------------------

if you are using firefox you need to do this

cp /usr/lib/mozilla/plugins/*.* ~/.mozilla/plugins/

product-maker 24 112

File (click to download) Version Description Filetype Packagetype License Downloads Date Filesize OCS-Install DL
Details
version
3.05
updated Aug 17 2005
added May 25 2005
downloads today
0
page views today 0